<?php

/**************************************************************************
Thold Functions
**************************************************************************/

/**
 * Check if a users has mobile access
 * @param string $s_sessionKey
 * @return string
 */
function getThold( $s_sessionKey )
{
    if  ( isSessionActive( $s_sessionKey )  )
    {
        $s_tholdList = '';
        $s_query = 'select 
			graph_id,name,thold_low,thold_hi,oldvalue 
		from 
			thold_data 
		where 
			( thold_hi<=oldvalue AND thold_hi <> "")
		OR
			(  thold_low>=oldvalue AND 	thold_low <> "" )
	;';

        $o_result = mysql_query( $s_query );
        while ( $a_row = mysql_fetch_assoc( $o_result ) ) {
                $s_tholdList = $s_tholdList .
                        $a_row['graph_id'].';'.
                        $a_row['name'].';'.
                        $a_row['thold_low'].';'.
                        $a_row['thold_hi'].';'.
                        $a_row['oldvalue'].
                        "\n";
        }

        // Remove the last newline character
        $s_tholdList = preg_replace("/\n$/","",$s_tholdList);

        // Free the result set
        mysql_free_result( $o_result );

        return  $s_tholdList;
    }
    else
    {
        return "Error: Wrong WebService Password";
    }
}


/**
  * Check if user has Thold access
  * @param string $s_sessionKey
  * @return boolean
  */
function isUserTholdEnabled( $s_sessionKey ) 
{
    if  ( isSessionActive( $s_sessionKey )  )
    {    
	$s_sessionKey = getTextEscaped( $s_sessionKey );
        $i_db_userId = getDBValue('UserId','select UserId from plugin_nmidWebService_Mobile_Sessions where Sessionkey="'.$s_sessionKey.'"');
	$s_hasAccess = FALSE;
	$s_query = '
		select 
			count(user_auth_realm.user_id) as hasAccess
		from 
			plugin_realms, user_auth_realm
		where 
			user_auth_realm.user_id = '.$i_db_userId.'
		AND
			user_auth_realm.realm_id =  ( plugin_realms.id + 100 )
		AND
			plugin_realms.display = "Plugin -> View Thresholds"	
	';
	$o_result = mysql_query( $s_query );
	$a_row = mysql_fetch_assoc( $o_result );
	if ( $a_row['hasAccess'] > 0 ) {	
		$s_hasAccess = TRUE;
	}
        // Free the result set
        mysql_free_result( $o_result );

	return $s_hasAccess;

    }
    else
    {
        return FALSE;
    }
}
?>
